| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Attributes | List of all members
Tp::ChannelInfo Struct Reference
Types and constants » Structure types

`#include <TelepathyQt/Types>`

## Public Attributes

QDBusObjectPath | channel
QString | channelType
uint | handleType
uint | handle

## Detailed Description

Structure type generated from the specification.

A struct representing a channel, as returned by ListChannels on the Connection interface.

## Member Data Documentation

QDBusObjectPath Tp::ChannelInfo::channel

The object path of the channel, which is on the same bus name as the connection

QString Tp::ChannelInfo::channelType

The channel's type

uint Tp::ChannelInfo::handleType

The type of the handle that the channel communicates with, or Handle_Type_None if there is no associated handle

uint Tp::ChannelInfo::handle

The handle that the channel communicates with, or 0 if there is no associated handle